diff --git a/pts-core/commands/ob_test_profile_analyze.php b/pts-core/commands/ob_test_profile_analyze.php
index 15b2f54d2e..143e836884 100644
--- a/pts-core/commands/ob_test_profile_analyze.php
+++ b/pts-core/commands/ob_test_profile_analyze.php
@@ -61,7 +61,7 @@ public static function run($r)
 			$shared_library_dependencies = array();
 			$instruction_usage = array();
 
-			if(is_executable($test_binary))
+			if(!empty($test_binary) && is_executable($test_binary))
 			{
 				$ldd = trim(shell_exec('ldd ' . $test_binary));
 
diff --git a/pts-core/objects/client/pts_client.php b/pts-core/objects/client/pts_client.php
index 1807b47441..512b00a8b4 100644
--- a/pts-core/objects/client/pts_client.php
+++ b/pts-core/objects/client/pts_client.php
@@ -2243,6 +2243,7 @@ public static function code_error_handler($error_code, $error_string, $error_fil
 				else
 				{
 					$ignore_errors = array(
+						'Using empty file',
 						'Name or service not known',
 						'HTTP request failed',
 						'fopen',
diff --git a/pts-core/objects/phodevi/components/phodevi_gpu.php b/pts-core/objects/phodevi/components/phodevi_gpu.php
index dc9db38b4f..3cd973fc68 100644
--- a/pts-core/objects/phodevi/components/phodevi_gpu.php
+++ b/pts-core/objects/phodevi/components/phodevi_gpu.php
@@ -125,6 +125,18 @@ public static function gpu_pci_device_id()
 				}
 			}
 		}
+		else if(phodevi::is_windows())
+		{
+			$pnputil = shell_exec('pnputil /enum-devices /bus PCI /deviceids /class "Display"');
+			if(($x = strpos($pnputil, '&DEV_')) !== false)
+			{
+				$pnputil = substr($pnputil, $x + 5);
+				if(is_numeric(substr($pnputil, 0, 4)))
+				{
+					$device_id = substr($pnputil, 0, 4);
+				}
+			}
+		}
 
 		return $device_id;
 	}
diff --git a/pts-core/objects/pts_Graph/pts_graph_box_plot.php b/pts-core/objects/pts_Graph/pts_graph_box_plot.php
index e1e1b04069..0659d382e6 100644
--- a/pts-core/objects/pts_Graph/pts_graph_box_plot.php
+++ b/pts-core/objects/pts_Graph/pts_graph_box_plot.php
@@ -107,8 +107,8 @@ protected function render_graph_bars()
 					$p_75 =  $values[75];
 
 					$unique_values = array();
-					$min_value = round(min($values), 2);
-					$max_value = round(max($values), 2);
+					$min_value = min($values);
+					$max_value = max($values);
 				}
 				else
 				{
@@ -123,9 +123,17 @@ protected function render_graph_bars()
 					$p_75 = pts_math::find_percentile($values, 0.75, true);
 
 					$unique_values = array_unique($values);
-					$min_value = round(min($unique_values), 2);
-					$max_value = round(max($unique_values), 2);
+					$min_value = min($unique_values);
+					$max_value = max($unique_values);
 				}
+
+				if(!is_numeric($min_value) || !is_numeric($max_value))
+				{
+					continue;
+				}
+				$min_value = round($min_value, 2);
+				$max_value = round($max_value, 2);
+
 				$value_end_left = $this->i['left_start'] + max(1, round(($whisker_bottom / $this->i['graph_max_value']) * $work_area_width));
 				$value_end_right = $this->i['left_start'] + round(($whisker_top / $this->i['graph_max_value']) * $work_area_width);
 				// if identifier is 0, not a multi-way comparison or anything special
